X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

can not update my macbook forefox

Posted

I am unable to update gmail, nor use HULU and other similar sites because I am unable to update my firefox. When I try, i get as far as opening the applications folder after downloading firefox, and i get a message that says: unable to use this app firefox on this version of MAC OS X op system. PLease help me get hooked up!

Additional System Details

This happened

Not sure how often

This started when...

everytime i try to update

Installed Plug-ins

  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Gecko default plugin
  • BrowserPlus -- Improve your browser! -- http://browserplus.yahoo.com/
  • iPhoto6
  • RealPlayer Plugin
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Office Live Update v1.0
  • The Google Earth Plugin allows you to view 3D imagery and terrain in your web browser.
  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.2.23) Gecko/20110920 Firefox/3.6.23

More Information

finitarry 157 solutions 2175 answers

With Mac OS 10.4, the latest version of Firefox you can use is 3.6.28. You can get that here:

cor-el
  • Top 10 Contributor
  • Moderator
10741 solutions 96657 answers

Can you update to Mac OS X 10.5 or later?